Draft Ligne

From FreeCAD Documentation
Revision as of 20:31, 20 August 2016 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Wire Button. introduced in version 0.17

Propriétés

  • DataStart: Le point de départ
  • DataEnd: Le point final
  • DataSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures introduced in version 0.16

Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector)
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎